# Google Data APIs Client Library (1.43.0)

## com.google.gdata.util
Class XmlBlob

    java.lang.Object
      com.google.gdata.util.XmlBlob

    public class XmlBlob

extends java.lang.Object

Arbitrary self-contained block of XML.

Field Summary
`protected java.lang.String` `base` Initial `xml:base` value.
`protected java.lang.String` `blob` Contents of the blob.
`protected java.lang.String` `fullText` Contains strings from `blob` for full-text indexing.
`protected java.lang.String` `lang` Initial `xml:lang` value.
`protected java.util.LinkedList<com.google.gdata.util.common.xml.XmlNamespace>` `namespaces` Namespace declarations inherited when this blob was parsed but used within it.

Constructor Summary
`XmlBlob()`

Method Summary
`boolean` `addNamespace(com.google.gdata.util.common.xml.XmlNamespace namespace)`
`static void` `endElement(com.google.gdata.util.common.xml.XmlWriter w, com.google.gdata.util.common.xml.XmlNamespace namespace, java.lang.String elementName, XmlBlob xml)` Generates an element closing tag containing an XML blob.
`java.lang.String` `getBase()`
`java.lang.String` `getBlob()`
`java.lang.String` `getFullText()`
`java.lang.String` `getLang()`
`java.util.List<com.google.gdata.util.common.xml.XmlNamespace>` `getNamespaces()`
`void` `setBase(java.lang.String v)`
`void` `setBlob(java.lang.String v)`
`void` `setFullText(java.lang.String v)`
`void` `setLang(java.lang.String v)`

`static void`

`startElement(com.google.gdata.util.common.xml.XmlWriter w, com.google.gdata.util.common.xml.XmlNamespace namespace, java.lang.String elementName, XmlBlob xml, java.util.Collection<com.google.gdata.util.common.xml.XmlWriter.Attribute> additionalAttrs, java.util.Collection<com.google.gdata.util.common.xml.XmlNamespace> additionalNs)`
Generates an element opening tag containing an XML blob.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### lang

    protected java.lang.String lang

  Initial `xml:lang` value. This value is typically inherited through the XML tree. The blob itself may contain overrides.

  See http://www.w3.org/TR/REC-xml/#sec-lang-tag for more information.

### base

    protected java.lang.String base

  Initial `xml:base` value. This value is typically inherited through the XML tree. The blob itself may contain overrides.

  See http://www.cafeconleche.org/books/xmljava/chapters/ch03s03.html for more information.

### namespaces

    protected java.util.LinkedList<com.google.gdata.util.common.xml.XmlNamespace> namespaces

  Namespace declarations inherited when this blob was parsed but used within it.

### blob

    protected java.lang.String blob

  Contents of the blob. Depending on how the blob was parsed, it may contain top-level text() nodes mixed together with child elements.

### fullText

    protected java.lang.String fullText

  Contains strings from `blob` for full-text indexing. Valid only when this blob comes from `XmlParser`.

Constructor Detail

### XmlBlob

    public XmlBlob()

Method Detail

### getLang

    public java.lang.String getLang()

### setLang

    public void setLang(java.lang.String v)

### getBase

    public java.lang.String getBase()

### setBase

    public void setBase(java.lang.String v)

### getNamespaces

    public java.util.List<com.google.gdata.util.common.xml.XmlNamespace> getNamespaces()

### addNamespace

    public boolean addNamespace(com.google.gdata.util.common.xml.XmlNamespace namespace)

### getBlob

    public java.lang.String getBlob()

### setBlob

    public void setBlob(java.lang.String v)

### getFullText

    public java.lang.String getFullText()

### setFullText

    public void setFullText(java.lang.String v)

### startElement

    public static void startElement(com.google.gdata.util.common.xml.XmlWriter w,
                                    com.google.gdata.util.common.xml.XmlNamespace namespace,
                                    java.lang.String elementName,
                                    XmlBlob xml,
                                    java.util.Collection<com.google.gdata.util.common.xml.XmlWriter.Attribute> additionalAttrs,
                                    java.util.Collection<com.google.gdata.util.common.xml.XmlNamespace> additionalNs)
                             throws java.io.IOException

  Generates an element opening tag containing an XML blob.

  Throws:
    `java.io.IOException`

### endElement

    public static void endElement(com.google.gdata.util.common.xml.XmlWriter w,
                                  com.google.gdata.util.common.xml.XmlNamespace namespace,
                                  java.lang.String elementName,
                                  XmlBlob xml)
                           throws java.io.IOException

  Generates an element closing tag containing an XML blob.

  Throws:
    `java.io.IOException`